export interface ReduxRouterParams {
    [key: string]: string;
}
export interface ReduxRouterRoute {
    url?: string;
    path?: string;
    params?: ReduxRouterParams;
    query?: ReduxRouterParams;
    fragment?: string;
    data?: any;
}
export interface ReduxRouterState {
    current: ReduxRouterRoute;
    previous: ReduxRouterRoute;
    pending: ReduxRouterRoute;
}
export interface ReduxRouterAction {
    type: string;
    route?: ReduxRouterRoute;
}
